#
# spec file for package php5-pear-phpunit-File_Iterator
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           php5-pear-phpunit-File_Iterator
%define pear_name  File_Iterator
%define pear_sname file_iterator
Summary:        Filters files based on a list of suffixes
License:        BSD-3-Clause
Group:          Development/Libraries/PHP
Version:        1.3.4
Release:        3.1
Source0:        http://pear.phpunit.de/get/File_Iterator-%{version}.tgz
Url:            http://pear.phpunit.de/
Requires:       php5-pear-channel-phpunit
BuildRequires:  php-macros
BuildRequires:  php5-pear
BuildRequires:  php5-pear-channel-phpunit
BuildArch:      noarch

# Fix for renaming (package convention)
Provides:       pear-%{pear_name}
Provides:       pear-%{pear_sname} = %{version}
Provides:       php-pear-%{pear_name}
Provides:       php-pear-%{pear_sname} = %{version}
Provides:       php5-pear-%{pear_sname} = %{version}
Obsoletes:      pear-%{pear_sname} < %{version}
Obsoletes:      php-pear-%{pear_sname} < %{version}
Obsoletes:      php5-pear-%{pear_sname} < %{version}

%description
FilterIterator implementation that filters files based on a list of suffixes.


%prep
%setup -c

%build

%install
%{__mv} package*.xml %{pear_name}-%{version}
cd %{pear_name}-%{version}
PHP_PEAR_PHP_BIN="$(which php) -d memory_limit=50m"
%{__mkdir_p} %{buildroot}%{php_peardir}/.channels/
%{__cp} %{php_peardir}/.channels/pear.*.reg \
%{buildroot}%{php_peardir}/.channels/

%{__pear} -v \
        -d doc_dir=/%{_docdir} \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{php_peardir}/data \
        install --offline --nodeps -R "%{buildroot}" package.xml

%{__install} -D -m 0644 package.xml %{buildroot}%{php_pearxmldir}/%{pear_name}.xml

%{__rm} -rf %{buildroot}/{doc,tmp}
%{__rm} -rf "%{buildroot}"/%{php_peardir}/.{filemap,lock,registry,channels,depdb,depdblock}

cd ..

%php_pear_gen_filelist

%post
# on `rpm -ivh` PARAM is 1
# on `rpm -Uvh` PARAM is 2
if [ "$1" = "1" ]; then
  %{__pear} install --nodeps --soft --force --register-only %{php_pearxmldir}/%{pear_name}.xml
fi
if [ "$1" = "2" ]; then
  %{__pear} upgrade --offline --register-only %{php_pearxmldir}/%{pear_name}.xml
fi

%postun
# on `rpm -e` PARAM is 0
if [ "$1" = "0" ]; then
  %{__pear} uninstall --nodeps --ignore-errors --register-only pear.php.net/%{pear_name}
fi

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(-,root,root)
/%{_docdir}/%{pear_name}
/%{_docdir}/%{pear_name}/ChangeLog.markdown 
/%{_docdir}/%{pear_name}/LICENSE 
/%{_docdir}/%{pear_name}/README.markdown

%changelog
* Sat Nov 23 2013 gerrit.beine@gmx.de
- update to version 1.3.4
* Sun Aug  4 2013 robert.munteanu@gmail.com
- Updated to version 1.3.3
  * Fixed infinite loop in `File_Iterator_Facade::getCommonPath()`
  for empty directories.
* Fri Dec  9 2011 coolo@suse.com
- fix license to be in spdx.org format
* Mon Dec  5 2011 robert.munteanu@gmail.com
- Updated to version 1.3.0
  - Added `File_Iterator_Facade` for the most common use case.
  - Moved `File_Iterator_Factory::getFilesAsArray()` to
  `File_Iterator_Facade::getFilesAsArray()`.
  - `File_Iterator_Factory` is no longer static.
* Wed Jun 22 2011 lang@b1-systems.de
- Initial attempt at building the package
- Version 1.2.6
- required because phpunit (pear) isn't a monolithic package anymore
